{
	bersetzt aus WlanTypes.h vom Windows SDK
}

unit nduWlanTypes;

interface

uses
  nduCType;

const
	NDU_DOT11_SSID_MAX_LENGTH = 32; //32 Bytes

type
  {$MINENUMSIZE 4}
	Pndu_DOT11_BSS_TYPE = ^Tndu_DOT11_BSS_TYPE;
	Tndu_DOT11_BSS_TYPE = (
    dot11_BSS_type_infrastructure = 1,
    dot11_BSS_type_independent = 2,
    dot11_BSS_type_any = 3);

  Pndu_DOT11_SSID = ^Tndu_DOT11_SSID;
  Tndu_DOT11_SSID = record
  	uSSIDLength: ulong;
    ucSSID: array[0..NDU_DOT11_SSID_MAX_LENGTH - 1] of uchar;
  end;

  {$MINENUMSIZE 4}
  Pndu_DOT11_AUTH_ALGORITHM = ^Tndu_DOT11_AUTH_ALGORITHM;
  Tndu_DOT11_AUTH_ALGORITHM = (
  	DOT11_AUTH_ALGO_80211_OPEN = 1,
    DOT11_AUTH_ALGO_80211_SHARED_KEY = 2,
    DOT11_AUTH_ALGO_WPA = 3,
    DOT11_AUTH_ALGO_WPA_PSK = 4,
    DOT11_AUTH_ALGO_WPA_NONE = 5,
    DOT11_AUTH_ALGO_RSNA = 6,
    DOT11_AUTH_ALGO_RSNA_PSK = 7,
    DOT11_AUTH_ALGO_IHV_START = $80000000,
    DOT11_AUTH_ALGO_IHV_END = $ffffffff);

const
	NDU_DOT11_AUTH_ALGORITHM_OPEN_SYSTEM 	= DOT11_AUTH_ALGO_80211_OPEN;
    NDU_DOT11_AUTH_ALGORITHM_SHARED_KEY		= DOT11_AUTH_ALGO_80211_SHARED_KEY;
    NDU_DOT11_AUTH_ALGORITHM_WPA			= DOT11_AUTH_ALGO_WPA;
    NDU_DOT11_AUTH_ALGORITHM_WPA_PSK		= DOT11_AUTH_ALGO_WPA_PSK;
    NDU_DOT11_AUTH_ALGORITHM_WPA_NONE		= DOT11_AUTH_ALGO_WPA_NONE;
    NDU_DOT11_AUTH_ALGORITHM_RSNA			= DOT11_AUTH_ALGO_RSNA;
    NDU_DOT11_AUTH_ALGORITHM_RSNA_PSK		= DOT11_AUTH_ALGO_RSNA_PSK;

type
	{$MINENUMSIZE 4}
	Pndu_DOT11_CIPHER_ALGORITHM = ^Tndu_DOT11_CIPHER_ALGORITHM;
	Tndu_DOT11_CIPHER_ALGORITHM = (
  	DOT11_CIPHER_ALGO_NONE = $00,
    DOT11_CIPHER_ALGO_WEP40 = $01,
    DOT11_CIPHER_ALGO_TKIP = $02,
    DOT11_CIPHER_ALGO_CCMP = $04,
    DOT11_CIPHER_ALGO_WEP104 = $05,
    DOT11_CIPHER_ALGO_WPA_USE_GROUP = $100,
    DOT11_CIPHER_ALGO_RSN_USE_GROUP = $100,
    DOT11_CIPHER_ALGO_WEP = $101,
    DOT11_CIPHER_ALGO_IHV_START = $80000000,
    DOT11_CIPHER_ALGO_IHV_END = $ffffffff);

  Pndu_DOT11_AUTH_CIPHER_PAIR = ^Tndu_DOT11_AUTH_CIPHER_PAIR;
  Tndu_DOT11_AUTH_CIPHER_PAIR = record
  	AuthAlgoId: Tndu_DOT11_AUTH_ALGORITHM;
    CipherAlgoId: Tndu_DOT11_CIPHER_ALGORITHM;
  end;

implementation

end.
